﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using HutongGames.PlayMaker;

public class Exit : MonoBehaviour {


    public int iRow;
    public int iCol;


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}


    public void updatePosition() {
        transform.position = new Vector3((float)iCol, 0f, (float)LevelManager.MAX_ROWS - iRow);

    }

    public void OnCollisionEnter(Collision c) {
        Debug.Log("Collied: " + c.GetType());

        if (c.gameObject.GetComponent<Frog>() != null) {
            //            Debug.Log("*** Load Next Level");

            c.gameObject.GetComponent<Frog>().isCelebrating = true;

            LevelManager lm = GameObject.FindObjectOfType<LevelManager>();
            PlayMakerFSM fsm = PlayMakerFSM.FindFsmOnGameObject(lm.gameObject, "FSM");
            fsm.SendEvent("doNextLevel");

        }

    }
}
