﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spikes : MonoBehaviour {

    public int iRow;
    public int iCol;

    public const float fMoveSpeed = 2f;
    public Vector3 targetPosition;


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        moveToTargetPosition();

		
	}

    private void moveToTargetPosition() {
        float fDistance = Vector3.Distance(gameObject.transform.position, targetPosition);

        if (fDistance < fMoveSpeed * Time.deltaTime) {
            gameObject.transform.position = targetPosition;
        } else {
            gameObject.transform.position = Vector3.MoveTowards(gameObject.transform.position, targetPosition, fMoveSpeed * Time.deltaTime);

        }

    }

    public void updatePosition() {
        transform.position = new Vector3((float)iCol, 0f, (float)LevelManager.MAX_ROWS - iRow);

    }

    public void hitFrog() {
        PlayMakerFSM fsm = PlayMakerFSM.FindFsmOnGameObject(GameObject.Find("LevelManager"), "FSM");
        fsm.SendEvent("doRestartLevel");

    }

    public void moveUp() {
        targetPosition = gameObject.transform.position + new Vector3(0f, 1f, 0f);

    }

    public void moveDown() {
        targetPosition = gameObject.transform.position + new Vector3(0f, -1f, 0f);

    }



}
