﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using HutongGames.PlayMaker;

public class UIManager : MonoBehaviour {

    public Image imgLife1;
    public Image imgLife2;
    public Image imgLife3;

    public Text textLevel;


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        updateUI();
		
	}

    private void updateUI() {
        PlayMakerFSM fsm = PlayMakerFSM.FindFsmOnGameObject(GameObject.Find("LevelManager"), "FSM");
        int iLives = fsm.FsmVariables.GetFsmInt("iLives").Value;

        imgLife1.enabled = false;
        imgLife2.enabled = false;
        imgLife3.enabled = false;

        if (iLives >= 1) {
            imgLife1.enabled = true;
        }

        if (iLives >= 2) {
            imgLife2.enabled = true;
        }

        if (iLives >= 3) {
            imgLife3.enabled = true;
        }

        int iLevel = fsm.FsmVariables.GetFsmInt("iLevel").Value;
        textLevel.text = "Level " + iLevel;



    }
}
