﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Warp : MonoBehaviour {

    public int iRow;
    public int iCol;

    public int iWarpNumber;

    public List<Material> matWarp;


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
    //    checkDisabled();
		
	}

    public void updatePosition() {
        transform.position = new Vector3((float)iCol, 0f, (float)LevelManager.MAX_ROWS - iRow);

        gameObject.transform.Find("warp").GetComponent<Renderer>().material = matWarp[iWarpNumber];

    }

    public void warpToDestination() {
        Vector3 vectDestination = Vector3.zero;
        int iDestinationRow = 0;
        int iDestinationCol = 0;


        Warp[] warps = GameObject.FindObjectsOfType<Warp>();
        foreach (Warp w in warps) {
            if (w.iWarpNumber == iWarpNumber && !(w.iRow == iRow && w.iCol == iCol)) {
                vectDestination = w.gameObject.transform.position;
                iDestinationRow = w.iRow;
                iDestinationCol = w.iCol;
//                w.GetComponent<Collider>().enabled = false;
                
            }
        }

        Frog f = GameObject.FindObjectOfType<Frog>();
        if (f.canWarp) {
            //            f.gameObject.transform.position = vectDestination;
            //f.gameObject.transform.position = new Vector3((float) iDestinationCol, 0f, (float) iDestinationRow);
            f.iRow = iDestinationRow;
            f.iCol = iDestinationCol;
            f.warpPosition();
            f.canWarp = false;
        }

    }

    /*
    public void OnCollisionExit(Collision c) {
        if (c.gameObject.GetComponent<Frog>() != null &&
            gameObject.GetComponent<Collider>().enabled == false) {

            Frog f = GameObject.FindObjectOfType<Frog>();

            if (!(iRow == f.iRow && iCol == f.iCol)) {
                    gameObject.GetComponent<Collider>().enabled = true;
            }

        }

    }
    */

}
